"""create table for contact_forms
Revision ID: 6b8d2c9d1234
Revises: 0001
Create Date: 2023-05-15 12:34:56

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '6b8d2c9d1234'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'contact_forms',
        sa.Column('id', sa.String(36), primary_key=True, default=func.uuid_generate_v4()),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('email', sa.String(), nullable=False),
        sa.Column('message', sa.Text(), nullable=False),
        sa.Column('created_at', sa.Text(), nullable=False, default=func.now()),
        sa.Column('updated_at', sa.Text(), nullable=False, default=func.now(), onupdate=func.now())
    )

def downgrade():
    op.drop_table('contact_forms')